#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.11
visibility:           public
id:                   foldl-1.4.11-BlbwcdsL64MLKTgIth6R5c
key:                  foldl-1.4.11-BlbwcdsL64MLKTgIth6R5c
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  c67cbb2e41a02dcb144063dbec4beb4d
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.5/site-local/foldl-1.4.11
library-dirs:         /usr/lib/ghc-8.10.5/site-local/foldl-1.4.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/foldl-1.4.11
hs-libraries:         HSfoldl-1.4.11-BlbwcdsL64MLKTgIth6R5c
depends:
    base-4.14.2.0 bytestring-0.10.12.0
    comonad-5.0.8-F4wmgieXpNOAvu72DtpVyE containers-0.6.4.1
    contravariant-1.5.3-KWoYE9wiUjmElzHNq2wj10
    hashable-1.3.2.0-IDkVQhKLyXDF7itJntNZ2M
    mwc-random-0.15.0.1-AeJQmnXbumd6owIOBJjHCW
    primitive-0.7.1.0-AkP7NXsD2hU9icXxhozUgx
    profunctors-5.6.2-98RjtEzIrWgAgW1xlpTULt
    semigroupoids-5.3.5-LjKaiT9AMSBzaoDHrtBFc text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-1OFWlQlrCvvLaIazZ0Uw3i
    vector-0.12.3.0-EcRb4NXFUGH91vV3xG3jJs

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

